View Issue Details

IDProjectCategoryView StatusLast Update
0003009PartDesignBugpublic2017-04-17 18:49
ReportersliptonicAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version 
Summary0003009: Sketch with conic (ellipse) has error
DescriptionA simple sketch with a conic section shows an error and cannot be padded.

Edited by NormandC: as found out by el3phanten, extra points that are automatically created and listed in the Elements list (but not visible in the 3D view) seem to be responsible. Deletion of these points from the Elements list solves the issue.
Steps To ReproduceCreate a new body and sketch and the XY plane
Add a conic section.
I made the sketch fully constrained but this doesn't appear to be necessary.
Close the sketch.
The sketch icon in the tree will show an error. Hovering over the error gives no additional information.
No error shown in console or report view.
Attempting to pad the sketch gives error 'linked shape object is empty'
Tagsconic

Activities

2017-04-14 14:08sliptonicNew Issue

el3phanten

2017-04-14 14:19

reporter   ~0008806

The error goes away, if the two extra points in the elements list are deleted.
When the error is gone Pad works.
2017-04-14 15:50Kunda1Tag Attached: conic

normandc

2017-04-15 17:14

manager   ~0008821

I went back a few builds from the freecad-daily PPA.

The issue starts with the 20170410 build (hash 3b50a78). Previously those extra points were always automatically added but didn't affect the sketch. I cannot pinpoint the exact commit responsible but it should be from after April 7th.

@abdullah would you mind having a look at this? Thanks.
2017-04-15 17:19normandcStatusnew => confirmed
2017-04-15 17:19normandcTarget Version => 0.17
2017-04-15 17:19normandcDescription UpdatedView Revisions
2017-04-15 21:59abdullahAssigned To => abdullah
2017-04-15 21:59abdullahStatusconfirmed => assigned

abdullah

2017-04-15 22:00

developer   ~0008823

@normandc

Yesterday I wanted to use an Ellipse in my design and I bumped into this issue. Very annoying! I will take a look in the following days.

abdullah

2017-04-15 22:56

developer   ~0008824

@normandc

https://github.com/FreeCAD/FreeCAD/pull/693

Jeanmimi0168

2017-04-17 06:45

reporter   ~0008843

Hello,
Same or other bug?
New document->body->sketch, create a point, and sketch is in error, no conic created.

0003009.fcstd (4,039 bytes)
2017-04-17 06:45Jeanmimi0168File Added: 0003009.fcstd

Jeanmimi0168

2017-04-17 06:47

reporter   ~0008844

Forgot that, sorry:
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10807 (Git)
Build type: None
Branch: master
Hash: b32e9806e1b075c745c0c9692e81aea1dcab81e4
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

abdullah

2017-04-17 18:49

developer   ~0008848

Fix committed to master branch.
2017-04-17 18:49wmayerChangeset attached => FreeCAD master 4c3ffb57
2017-04-17 18:49abdullahStatusassigned => closed
2017-04-17 18:49abdullahResolutionopen => fixed

Related Changesets

FreeCAD: master 4c3ffb57

2017-04-15 22:50:07

abdullah


Committer: wmayer Details Diff
Sketcher: Fixes 0003009 error with geompoints in sketcher

=======================================================

Introduction of construction points as fixed solver entities introduced this bug, as there was no specific code to check for points as they were by default construction.
mod - src/Mod/Sketcher/App/Sketch.cpp Diff File

Issue History

Date Modified Username Field Change
2017-04-14 14:08 sliptonic New Issue
2017-04-14 14:19 el3phanten Note Added: 0008806
2017-04-14 15:50 Kunda1 Tag Attached: conic
2017-04-15 17:14 normandc Note Added: 0008821
2017-04-15 17:19 normandc Status new => confirmed
2017-04-15 17:19 normandc Target Version => 0.17
2017-04-15 17:19 normandc Description Updated View Revisions
2017-04-15 21:59 abdullah Assigned To => abdullah
2017-04-15 21:59 abdullah Status confirmed => assigned
2017-04-15 22:00 abdullah Note Added: 0008823
2017-04-15 22:56 abdullah Note Added: 0008824
2017-04-17 06:45 Jeanmimi0168 File Added: 0003009.fcstd
2017-04-17 06:45 Jeanmimi0168 Note Added: 0008843
2017-04-17 06:47 Jeanmimi0168 Note Added: 0008844
2017-04-17 18:49 wmayer Changeset attached => FreeCAD master 4c3ffb57
2017-04-17 18:49 abdullah Note Added: 0008848
2017-04-17 18:49 abdullah Status assigned => closed
2017-04-17 18:49 abdullah Resolution open => fixed